%if 0%{?fedora} || 0%{?rhel} >= 7
%global with_python3 1
%endif

%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?py2_build: %global py2_build %{expand: CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} build --executable="%{__python2} -s"}}
%{!?py2_install: %global py2_install %{expand: CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} install -O1 --skip-build --root $RPM_BUILD_ROOT}}

Name:           vertica-python
Version:        0.8.2
Release:        2%{?dist}
Summary:        A native Python adapter for the Vertica database

Group:          Development/Languages
License:        MIT
URL:            https://github.com/uber/vertica-python
Source0:        https://github.com/uber/vertica-python/archive/%{version}.tar.gz
# EPEL 6 patch
Patch0:         vertica-python-0.7.3-dateutil15.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools



%global _description\
vertica-python is a native Python adapter for the Vertica\
(http://www.vertica.com) database.\


%description %_description

%package -n python2-vertica
Summary: %summary
%if 0%{?rhel} && 0%{?rhel} <= 6
Requires:       python-dateutil15
Requires:       python-setuptools
%else
Requires:       python2-dateutil >= 1.5
%endif
Requires:       python2-pytz
Requires:       python2-psycopg2
Requires:       python2-future
%{?python_provide:%python_provide python2-vertica}
# Remove before F30
Provides: vertica-python = %{version}-%{release}
Obsoletes: vertica-python < %{version}-%{release}

%description -n python2-vertica %_description

%if 0%{?with_python3}

%package -n python%{python3_pkgversion}-vertica
Summary: %summary
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-dateutil >= 1.5
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-pytz
Requires:       python%{python3_pkgversion}-psycopg2
Requires:       python%{python3_pkgversion}-future
%{?python_provide:%python_provide python%{python3_pkgversion}-vertica}
# Remove before F30
Provides: vertica-python%{python3_pkgversion} = %{version}-%{release}
Obsoletes: vertica-python%{python3_pkgversion} < %{version}-%{release}

%description -n python%{python3_pkgversion}-vertica %_description

%endif


%prep
%setup -q -n vertica-python-%{version}

%if 0%{?rhel} && 0%{?rhel} <= 6
%patch0 -p1
%endif


%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

 
%files -n python2-vertica
%license LICENSE
%doc README.md
%{python2_sitelib}/*.egg-info
%dir %{python2_sitelib}/vertica_python
%{python2_sitelib}/vertica_python/*

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-vertica
%license LICENSE
%doc README.md
%{python3_sitelib}/*.egg-info
%dir %{python3_sitelib}/vertica_python
%{python3_sitelib}/vertica_python/*
%endif


%changelog
* Tue Apr 02 2019 Troy Dawson <tdawson@redhat.com> - 0.8.2-2
- Rebuilt to change main python from 3.4 to 3.6

* Tue Feb 19 2019 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.8.2-1
- Upgrade to version 0.8.2

* Mon Sep 03 2018 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.7.4-1
- Upgrade to version 0.7.4
- Build python 3 subpackage even on RHEL >= 7

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7.3-2
- Rebuilt for Python 3.7

* Tue Mar 27 2018 Jan Beran <jberan@redhat.com> - 0.7.3-1
- Update to version 0.7.3 including Python 3 subpackage

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6.14-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.14-3
- Python 2 binary package renamed to python2-vertica
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Apr 21 2017 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.6.14-1
- Update to version 0.6.14

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 11 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.5.5-1
- update to version 0.5.5

* Tue Dec 01 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.5.4-1
- update to version 0.5.4

* Wed Sep 23 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.5.1-1
- update to version 0.5.1

* Fri Jul 03 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.5.0-1
- update to version 0.5.0

* Mon Jun 22 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.4.6-1
- update to version 0.4.6

* Tue Jun 16 2015 Jakub Jedelsky <jakub.jedelsky@gamil.com> - 0.4.5-1
- update to version 0.4.5

* Wed Apr 15 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.3.6-1
- update to version 0.3.6

* Wed Apr 08 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.3.5-1
- update to version 0.3.5

* Wed Jan 21 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.3.4-1
- update to version 0.3.4

* Wed Oct 15 2014 Jakub Jedelsky <jakub.jedelsky@gooddata.com> - 0.3.0-1
- update to version 0.3.0

* Fri Jun 13 2014 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.2.3-1
- update to new version

* Thu Apr 24 2014 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.2.1-1
- new version update

* Fri Mar 28 2014 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.2.0-4
- remove buildrood tag
- edit dateutil patch for el6

* Wed Mar 26 2014 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.2.0-3
- package is not ready for python3 

* Wed Mar 26 2014 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.2.0-2
- python-setuptools is required only on rhel<=6

* Mon Mar 24 2014 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.2.0-1
- Initial package
